<!DOCTYPE html>
<html xmlns:f="http://xmlns.jcp.org/jsf/core" 
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://xmlns.jcp.org/jsf/passthrough"
      xmlns:pf="http://primefaces.org/ui">
    <h:head>
        <title>Modifier un utilisateur</title>
    </h:head>
		<f:metadata>
		<f:viewParam name="idUser" value ="#{userUpdateBean.user.idUser}" />
		<f:viewAction action="#{userUpdateBean.findUser()}"/>
		</f:metadata>
    <h:body>
        <f:view>
        <h3>Modifier utilisateur</h3>
            <h:form id="addUser">
            <h:panelGrid columns="3" cellpadding="5">
                <pf:outputLabel value="Nom" for="nom" />
                <pf:inputText id="nom" value="#{userUpdateBean.user.nom}" 
                						required="true" p:required="true"
                						requiredMessage="Nom obligatoire"
                						validatorMessage="Veuillez respecter les charactère">
                	<f:validateRegex pattern="^[\p{L}-]+$"/>
                </pf:inputText>
                <pf:message for="nom" styleClass="errorBlock"/>

               
                
                <pf:outputLabel value="Prénom :" for="prenom" />
                <pf:inputText id="prenom" value="#{userUpdateBean.user.prenom}" 
                						required="true" p:required="true"
                						requiredMessage="Prenom obligatoire"
                						validatorMessage="Veuillez respecter les charactère">
                	<f:validateRegex pattern="^[\p{L}-]+$"/>
                </pf:inputText>
                <pf:message for="prenom" styleClass="errorBlock"/>

                <pf:outputLabel value="Login :" for="login" />
                <pf:inputText id="login" value="#{userUpdateBean.user.login}" 
                						required="true" p:required="true"
                						requiredMessage="Login obligatoire"
                						validatorMessage="Veuillez respecter les charactère">
                	<f:validateRegex pattern="^[\p{L}-]+$"/>
                </pf:inputText>
                <pf:message for="login" styleClass="errorBlock"/>

                
                
                <pf:outputLabel value="Email :" for="email" /> 
                <pf:inputText id="email" value="#{userUpdateBean.user.email}" 
                						required="true" p:required="true"
                						requiredMessage="Email obligatoire"
                						validatorMessage="Le login doit correspondre à un email">
                	<f:validateRegex pattern="^[\w.+-]+@[\w.+-]+\.[a-z]{2,}$"/>
                </pf:inputText>
                <pf:message for="email" styleClass="errorBlock"/>

              
           

             
                <pf:commandButton action="#{userUpdateBean.updUser}" value="Connect" /> 
                <pf:inputText id="idUser" value="#{userUpdateBean.user.idUser}"/>
                
                </h:panelGrid>
            </h:form>
            
           
            
        </f:view>

    </h:body>
</html>
